using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单撤单
    /// </summary>
    public class RevokeCaseInfoInfo
    {
        /// <summary>
        /// 撤单时间
        /// </summary>
        [JsonPropertyName("REVOKE_TIME")]
        public DateTime? RevokeTime { get; set; }

        /// <summary>
        /// 撤单类型
        /// </summary>
        [JsonPropertyName("REVOKE_TYPE")]
        public string RevokeType { get; set; }

        /// <summary>
        /// 操作人员
        /// </summary>
        [JsonPropertyName("REVOKE_NAME")]
        public string RevokeName { get; set; }

        /// <summary>
        /// 撤单理由
        /// </summary>
        [JsonPropertyName("REVOKE_REASION")]
        public string RevokeReasion { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        public string CliengGuid { get; set; }
    }
}
